package com.atguigu.lease.web.admin.controller.user;


import com.atguigu.lease.common.result.Result;
import com.atguigu.lease.model.entity.UserInfo;
import com.atguigu.lease.model.enums.BaseStatus;
import com.atguigu.lease.web.admin.service.UserInfoService;
import com.atguigu.lease.web.admin.vo.user.UserInfoQueryVo;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.conditions.update.LambdaUpdateWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.util.StringUtils;
import org.springframework.web.bind.annotation.*;

@Tag(name = "用户信息管理")
@RestController
@RequestMapping("/admin/user")
public class UserInfoController {
@Autowired
private UserInfoService userInfoService;
    @Operation(summary = "分页查询用户信息")
    @GetMapping("page")
    public Result<IPage<UserInfo>> pageUserInfo(@RequestParam long current, @RequestParam long size, UserInfoQueryVo queryVo) {
        Page<UserInfo> pageParam = new Page<>(current,size);
        //封装条件
        LambdaQueryWrapper<UserInfo> wrapper = new LambdaQueryWrapper<>();

        //wrapper.like(queryVo.getPhone() != null, UserInfo::getPhone, queryVo.getPhone());

        //if(!StringUtils.isEmpty(queryVo.getPhone())) {
        //}

        if(StringUtils.hasText(queryVo.getPhone())) {
            wrapper.eq(UserInfo::getPhone,queryVo.getPhone());
        }
        if(queryVo.getStatus() != null){
            wrapper.eq(UserInfo::getStatus,queryVo.getStatus());
        }

        IPage<UserInfo> pageModel = userInfoService.page(pageParam, wrapper);

        return Result.ok(pageModel);
    }

    @Operation(summary = "根据用户id更新账号状态")
    @PostMapping("updateStatusById")
    public Result updateStatusById(@RequestParam Long id, @RequestParam BaseStatus status) {
        LambdaUpdateWrapper<UserInfo> updateWrapper = new LambdaUpdateWrapper<>();
        updateWrapper.eq(UserInfo::getId, id);

        updateWrapper.set(UserInfo::getStatus, status);

        userInfoService.update(updateWrapper);
        return Result.ok();


    }
}
